Subject: bug#70167: [PATCH] Mark Flymake regions more accurately in lua-ts-mode

From: john muhl <[email-masked]>
Date: Wed, 03 Apr 2024 12:55:33 -0500

Tags: patch

This changes the diagnostic region end position from being guessed
based on thing-at-point to using the one provided by LuaCheck. As
noted in bug#67152 it was already being matched but not used. I
couldn’t find anything where t-a-p guessed wrong but it seems
preferable to just mark exactly the same region as LuaCheck would.